pinv = player.getInventory()
slot = pinv.getSlotContainingItem(280)
burn = Item(348)
if ((pinv.getCurrentItem() !=null && pinv.getCurrentItem().getItemID() !=280)|| pinv.getCurrentItem() == null)
{
if ((pinv.getOffhandItem() !=null && pinv.getOffhandItem().getItemID() !=280)|| pinv.getOffhandItem() == null)
{
chat.print("perhaps if you had a deku stick you could light it")
}
else
{
player.inventory.decrementItem(slot, 1)
player.inventory.addItem(burn)
time.sleep(1)
player.inventory.setCurrentItem(348)
time.sleep(7)
slot2 = player.inventory.getSlotContainingItem(348)
player.inventory.decrementItem(slot2, 1)
}
}
else
{
player.inventory.decrementItem(slot, 1)
player.inventory.addItem(burn)
time.sleep(1)
player.inventory.setCurrentItem(348)
time.sleep(7)
slot2 = player.inventory.getSlotContainingItem(348)
player.inventory.decrementItem(slot2, 1)
}
